<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
                xmlns:jsf="http://xmlns.jcp.org/jsf">
    <!-- MENSAJES SUSCRIPCION -->
    <h:form prependId="false">
        <div id="msgDetalleSusc" class="ui hidden warning message">
            <h:inputHidden id="tipoMsgSusc" value="#{detalleSuscripcionCliManBean.tipoMsgSusc}" />
            <i class="close icon"></i>
            <div class="header">
                <h:outputText id="cabeceraMsgSusc" value="#{detalleSuscripcionCliManBean.cabeceraMsgSusc}" />
            </div>
            <h:outputText id="detalleMsgSusc" value="#{detalleSuscripcionCliManBean.detalleMsgSusc}" />
        </div>
    </h:form>
    <div style="display: none;" id="sgmDetalleSuscripcion" class="ui segments">
        <div id="tabsDetalleSuscripcion" class="ui horizontal segments menu">
            <a  id="tabDatosSuscripcion" class="ui segment active item" data-tab="datos" onclick="$('#btnAgregar').attr('data-tooltip', 'Nueva suscripción')">
                Datos
            </a>
            <a id="tabCuotasSuscripcion" class="ui segment item" data-tab="cuotas" onclick="$('#btnAgregar').attr('data-tooltip', 'Generar cuotas')">
                Cuotas
            </a>
            <a id="tabOtrasCuotas" class="ui segment item" data-tab="otrascuotas" onclick="$('#btnAgregar').attr('data-tooltip', 'Generar cuotas de otros cobros')">
                Otras cuotas
            </a>
        </div>

        <!-- PESTANA DATOS SUSCRIPCION -->
        <div class="ui tab active blue segment" data-tab="datos">
            <h:form id="formDetalleSuscripcion" prependId="false" class="ui form">
                <h:inputHidden id="in-idsuscripcion" value="#{detalleSuscripcionCliManBean.idSuscripcion}" />
                <h:inputHidden id="in-idclientesusc" value="#{detalleSuscripcionCliManBean.idCliente}" />
                <div class="fields">
                    <div id="fieldServicio" class="six wide required field">
                        <label>Servicio</label>
                        <div id="cmbServ" class="ui selection dropdown">
                            <input jsf:id="in-idservicio" jsf:value="#{detalleSuscripcionCliManBean.idServicio}" type="hidden" />
                            <i class="dropdown icon" />
                            <div class="default text">Ej: TV Cable</div>
                            <div class="menu">
                                <ui:repeat value="#{suscripcionManBean.lstServiciosSuscribibles}" var="serv" varStatus="servStatus">
                                    <div class="item" data-value="#{serv.idservicio}">#{serv.nombre}</div>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>
                    <div id="fieldMontoCuota" class="four wide required field">
                        <label>Monto cuota</label>
                        <div class="ui right labeled input">
                            <input jsf:id="in-montocuota" jsf:value="#{detalleSuscripcionCliManBean.montoMensual}" placeholder="90000" type="number" />                            
                            <div class="ui label">gs.</div>
                        </div>
                    </div>
                    <div id="fieldTipoSuscripcion" class="six wide required field">
                        <label>Tipo de Suscripción</label>
                        <div id="cmb-tiposusc" class="ui selection dropdown">
                            <input type="hidden" name="in-idtiposusc" jsf:value="#{detalleSuscripcionCliManBean.idTipoSuscripcion}" />
                            <i class="dropdown icon"></i>
                            <div class="default text">Ej: Normal</div>
                            <div class="menu">
                                <ui:repeat value="#{suscripcionManBean.lstTipoSuscripcion}" var="ts" varStatus="tsStatus">
                                    <div class="item" data-value="#{ts.idtipoSuscripcion}">#{ts.nombre}</div>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="fields">
                    <div id="fieldBarrio" class="seven wide required field">
                        <label>Barrio</label>
                        <div id="cmbBarrio" class="ui fluid search selection dropdown">
                            <input jsf:id="in-idbarrio" jsf:value="#{detalleSuscripcionCliManBean.idBarrio}" type="hidden" />
                            <i class="dropdown icon" />
                            <div class="default text">Ej: Centro</div>
                            <div class="menu">
                                <ui:repeat value="#{barriosManBean.lstBarriosOrdenados}" var="barrio" varStatus="barrioStatus">
                                    <div class="item" data-value="#{barrio.idbarrio}">#{barrio.nombre}</div>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>
                    <div class="nine wide field">
                        <label>Dirección</label>
                        <div id="searchDireccion" class="ui search">
                            <input type="text" class="prompt" jsf:id="in-direccion" jsf:value="#{detalleSuscripcionCliManBean.direccion}" placeholder="Ej: Tuyti" />
                            <div class="results"></div>
                        </div>
                    </div>
                </div>
                <div class="three fields">
                    <div id="fieldTipoVivienda" class="required field">
                        <label>Tipo de Vivienda</label>
                        <div id="tipoViv" class="ui fluid selection dropdown">
                            <input jsf:id="in-tipoviv" jsf:value="#{detalleSuscripcionCliManBean.idTipoVivienda}" type="hidden" />
                            <i class="dropdown icon" />
                            <div class="default text">Ej: Propia</div>
                            <div class="menu">
                                <ui:repeat value="#{tipoViviendaManBean.tiposVivienda}" var="tipovi" varStatus="tipoviStatus">
                                    <div class="item" data-value="#{tipovi.idtipoVivienda}">#{tipovi.nombre}</div>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>
                    <div class="field">
                        <label>Número Medidor</label>
                        <input jsf:id="in-nroMedidor" jsf:value="#{detalleSuscripcionCliManBean.nroMedidor}" type="text" placeholder="Número de Medidor" />
                    </div>
                    <div id="fieldFechaSuscripcion" class="required field">
                        <label>Fecha de Suscripción</label>
                        <div class="ui calendar" id="calFechaSuscripcion">
                            <div class="ui input">
                                <h:inputText id="in-fecha-suscripcion" value="#{detalleSuscripcionCliManBean.strFechaSuscripcion}" pt:placeholder="Fecha de Suscripción" />
                            </div>
                        </div>
                    </div>
                </div>
                <h:commandLink style="display: none;" id="cmlCargarPrecioServicio" action="#{detalleSuscripcionCliManBean.cargarPrecioServicio()}">
                    <f:ajax execute="@this in-idservicio" render="in-montocuota" />
                </h:commandLink>
                <h:commandLink id="btnGuardarSuscripcion" class="ui right labeled blue icon button" value="Guardar" onclick="return validarSuscripcion();" action="#{detalleSuscripcionCliManBean.guardarSuscripcion()}">
                    <i class="save icon" />
                    <f:ajax render="tipoMsgSusc cabeceraMsgSusc detalleMsgSusc in-idsuscripcion txfIdSuscripcionCargar" execute="@form" onevent="function(data){ajaxGuardarSuscripcion(data)}" />
                </h:commandLink>
            </h:form>
        </div>
        <!-- PESTANA CUOTAS -->
        <h:form  prependId="false" class="ui green tab segment" pt:data-tab="cuotas">
            <table jsf:id="tblCuotasSusc" class="ui very basic table">
                <thead>
                    <tr>
                        <th></th>
                        <th class="right aligned">Cuota</th>
                        <th class="right aligned">Pagado</th>
                        <th class="right aligned">Saldo</th>
                        <th class="center aligned">Mes</th>
                        <th>Vencimiento</th>
                        <th>Fecha Pago</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <ui:repeat value="#{detalleSuscripcionCliManBean.aniosCuotas}" var="anioCuota" varStatus="anioCuotaVar">
                        <tr style="cursor: pointer" onclick="mostrarCuotasAnio(#{anioCuota})" class="active" >
                            <td style="padding-left: 10px">
                                <i id="icono-fila-grupo-#{anioCuota}" class="#{anioCuotaVar.first?'black angle down icon':'black angle right icon'}" />
                            </td>
                            <td class="center aligned" colspan="7">#{anioCuota}</td>
                        </tr>
                        <ui:repeat value="#{detalleSuscripcionCliManBean.getCuotasAnio(anioCuota)}" var="cuota" varStatus="cuotaStatus" >
                            <tr id="fila-#{cuota.anioCuota}-#{cuota.idcuota}" style="#{anioCuotaVar.first?'':'display: none'}">
                                <td>
                                    <i style="margin-left: 9px" class="#{cuota.cancelado?'green checkmark icon':'minus icon'}" />
                                    <span jsf:rendered="#{not empty cuota.observacion}" data-tooltip="Observación: #{cuota.observacion}" data-inverted="">
                                        <i class="blue info circle icon" />
                                    </span>
                                </td>
                                <td class="right aligned">
                                    <h:outputText value="(Exonerado)" rendered="#{cuota.montoCuota==0}" />
                                    <h:outputText rendered="#{cuota.montoCuota>0}" value="#{cuota.montoCuota}">
                                        <f:convertNumber pattern="###,###,###,###" />
                                    </h:outputText>
                                </td>
                                <td class="right aligned">
                                    <h:outputText value="#{cuota.montoEntrega!=null?cuota.montoEntrega:0}">
                                        <f:convertNumber pattern="###,###,###,###" />
                                    </h:outputText>
                                </td>
                                <td class="right aligned">
                                    <h:outputText value="#{cuota.montoEntrega!=null?cuota.montoCuota-cuota.montoEntrega:cuota.montoCuota}">
                                        <f:convertNumber pattern="###,###,###,###" />
                                    </h:outputText>
                                </td>
                                <td class="center aligned">
                                    <h:outputText value="#{utilConversion.getNombreMesCorto(cuota.mesCuota)}" />/#{cuota.anioCuota}
                                </td>
                                <td>
                                    <h:outputText value="#{cuota.fechaVencimiento}">
                                        <f:convertDateTime pattern="dd/MM/yy" />
                                    </h:outputText>
                                </td>
                                <td>
                                    <h:outputText value="#{cuota.fechaPago}">
                                        <f:convertDateTime pattern="dd/MM/yy" />
                                    </h:outputText>
                                </td>
                                <td class="collapsing right aligned">
                                    <span>
                                        <h:commandLink rendered="#{sessionManBean.permisosAsignados(41)?!cuota.cancelado || cuota.montoCuota==0: ''}" action="#{detalleSuscripcionCliManBean.cargarDatosCuota(cuota.idcuota)}">
                                            <i class="yellow edit icon" />
                                            <f:ajax execute="@this" onevent="function(data){ajaxCargarCuotaModificar(data)}" render="modalEditarCuota" />
                                        </h:commandLink>
                                    </span>
                                    <span jsf:rendered="#{sessionManBean.permisosAsignados(40) &amp;&amp; !cuota.cancelado || cuota.montoCuota==0}" onclick="mostrarConfirmacionEliminarCuo(#{cuota.idcuota})">
                                        <i class="red trash link icon"  />
                                    </span>
                                </td>
                            </tr>
                        </ui:repeat>
                    </ui:repeat>

                    <tr jsf:rendered="#{empty detalleSuscripcionCliManBean.cuotas}">
                        <td style="color: gray;" class="center aligned" colspan="8">(Sin cuotas)</td>
                    </tr>
                </tbody>
            </table> 
        </h:form>
        <div  class="ui segment red tab" data-tab="otrascuotas">
            <h:form prependId="false">
                <table jsf:id="tblOtrosServicios" class="ui very basic table">
                    <thead>
                        <tr>
                            <th class="collapsing">Nro. cuota</th>
                            <th>Concepto</th>
                            <th>Monto</th>
                            <th>Vencimiento</th>
                            <th>Fecha Pago</th>
                            <th class="collapsing center aligned">Pagado</th>
                            <th class="collapsing right aligned"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <ui:repeat value="#{detalleSuscripcionCliManBean.cuotasOtrosServicios}" var="cuoos">
                            <tr>
                                <td>#{cuoos.nroCuota}</td>
                                <td>#{cuoos.servicio.nombre}</td>
                                <td>
                                    <h:outputText value="#{cuoos.montoCuota}" >
                                        <f:convertNumber pattern="#,###,###,###" />
                                    </h:outputText>
                                </td>
                                <td>
                                    <h:outputText value="#{cuoos.fechaVencimiento}">
                                        <f:convertDateTime pattern="dd/MMM/yyyy" />
                                    </h:outputText>
                                </td>
                                <td>
                                    <h:outputText value="#{cuoos.fechaPago}">
                                        <f:convertDateTime pattern="dd/MMM/yyyy" />
                                    </h:outputText>
                                </td>
                                <td class="center aligned"><i class="#{cuoos.cancelado?'check green icon':'minus icon'}" /></td>
                                <td class="right aligned">
                                    <a href="#" onclick="mostrarConfirmacionEliminarCuo(#{cuoos.idcuota})" >
                                        <i class="red trash icon" />
                                    </a>
                                </td>
                            </tr>
                        </ui:repeat>
                        <tr jsf:rendered="#{empty detalleSuscripcionCliManBean.cuotasOtrosServicios}">
                            <td style="color: gray;" class="center aligned" colspan="6">(Sin cuotas)</td>
                        </tr>
                    </tbody>
                </table>
            </h:form>
        </div>
    </div>


    <h:outputScript target="body" library="js" name="detallecliente/detallesuscripcion.js" />
</ui:composition>